#
# spec file for package perl-libwww-perl (Version 5.822)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-libwww-perl
BuildRequires:  perl-Compress-Zlib perl-HTML-Parser perl-URI
Version:        5.822
Release:        1
Provides:       libwww-perl
Provides:       perl_lw3
Obsoletes:      perl_lw3
Requires:       perl-HTML-Parser perl-HTML-Tagset perl-URI
Requires:       perl = %{perl_version}
Recommends:     perl-Crypt-SSLeay
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Url:            http://www.cpan.org/modules/by-module/WWW/
Summary:        Modules Providing a World Wide Web API
Source:         libwww-perl-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libwww-perl is a collection of Perl modules which provide a simple and
consistent application programming interface (API) to the World Wide
Web.



Authors:
--------
    Gisle Aas <gisle@aas.no>
    Martijn Koster

%prep
%setup -q -n libwww-perl-%{version}

%build
perl Makefile.PL
make

%check
#disable test that require network connection
mv t/live/jigsaw-chunk.t t/live/jigsaw-chunk.tt
mv t/live/jigsaw-md5.t t/live/jigsaw-md5.tt
mv t/live/jigsaw-md5-get.t t/live/jigsaw-md5-get.tt
make test

%install
rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README README.SSL
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/File
%{perl_vendorlib}/HTML
%{perl_vendorlib}/HTTP
%{perl_vendorlib}/LWP
%{perl_vendorlib}/Net
%{perl_vendorlib}/WWW
%{perl_vendorlib}/LWP.pm
%{perl_vendorlib}/lwpcook.pod
%{perl_vendorlib}/lwptut.pod
%{perl_vendorarch}/auto/LWP
%{_bindir}/*
/var/adm/perl-modules/%{name}

%changelog
* Sat Dec 20 2008 coolo@suse.de
- update to 5.822
  Various bug fixes
  Should store "wire" headers field names with _ without translation.
  Test HTTP::Request->parse().
  Rename the HTTP::Status constants to have HTTP_ prefix
  Add strict mode to HTML::Form
  Add content_is_xml method
  Make split_header_words() lower case returned tokens/keys
  Add decode() method to HTTP::Message
  Add encode() method to HTTP::Message
  Allow multiple fields to be set with push_header().
  Faster push_header()
  Add dump method to HTTP::Message.
  Add support for x-bzip2 encoding; fix bzip2 decoding.
  Add send_header method to HTTP::Daemon
  Make the lwp-request User-Agent string include the LWP version.
  Calculation of current_age with missing Client-Date.
  More correct matching of 'max-age' in freshness_lifetime method
  The freshness_lifetime method now support options to control its heuristics
  The Content-Length and Content-MD5 headers are no longer valid after encode/decode
  Skip LWP test when fork() is unimplemented
  A more modern user_agent example.
  Make it possible to unset the proxy settings again
  Deprecate LWP::Debug
* Mon Nov 17 2008 lnussel@suse.de
- fix https losing characters (bnc#445601,
  http://rt.cpan.org/Public/Bug/Display.html?id=40187)
* Mon Oct 06 2008 anicka@suse.cz
- update to 5.816
  * Add missing binmode()
  * Doc tweaks
  * We don't need to build the docs to run the tests.
  * Style tweaks.
  * The jigsaw service isn't up to much good these days.
  * HTTP::Cookies produces warnings for undefined cookie param names
  * Typo fix; HTTP::Message will never include x-bzip2 in
  Accept-Encoding
  * Added HTTP::Config module
  * Add methods to configure processing handlers.
  * 100 Continue response not complete.
  * Use 3-arg open when response content to files.
  * Make the show_progress attribute official (by documenting it).
  * Start using handlers for driving the inner logic of LWP::UserAgent.
  * Expose the content_is_html and content_is_xhtml methods
  from HTTP::Headers.
  * Make credentials method able to get/set values.
  * An auth handler per realm.
  * Match proxy setting for request.
  * Set up separate handler for adding proxy authentication.
  * Add request_preprepare to be able to initialize proxy early enough.
  * Smarter get_my_handler() that can also create handlers.
  * Refactor; introduce run_handlers method
  * Pass in handler hash to the handler callback.
  * Don't let version=1 override behaviour if specified with a plan
  Set-Cookie header.
  * Remove handler when we don't have a username/password for the realm.
  * Make tests use Test.pm
  * Double-check that username or password has changed after
  a failed login.
  * Update Digest Authen to subclass Basic.
  * Avoid running out of filehandles with DYNAMIC_FILE_UPLOAD.
  * Fixed parsing of header values starting with ':'
  * Documentation typo fixes
* Fri Jul 25 2008 anicka@suse.cz
- update to 5.814
  * Typo fix.
  * Add HTTP::Message::decodable()
  * Use decoded_content in the synposis
  * Avoid adding an empty first part in $mess->add_part()
  * Get rid of all the manual dependency tests.
  * Simplify the Makefile.PL (no interactivity)
  * Provide DELETE method in HTTP::Request::Common
  * Checkbox picks up nearby text in description of alternates
  * HTML::Form::possible_values() should not returned disabled values
  * File::Listing documentation claimed only 'unix' format was supported
  * File::Listing only support English locales
  * Make common-req.t use Test.pm
  * Typo; CAN_TALK_TO_OUTSELF
  * Fix up File::Listings fallback to dosftp
  * File::Listing parse failure on BSD Linux based systems
* Thu Jun 19 2008 anicka@suse.cz
- update to 5.813
  * RobotUA constructor ignores delay, use_sleep
  * Add HTTP::Response->filename
  * Better diagnostics when the HTML::TokeParser constructor fails
  * Multiple forms with same-named <select> parse wrongly
  * Simplified Net::HTTP::Methods constructor call.
  * Croak if Net::HTTP constructor called with no argument.
  * Avoid calling $self->peerport to figure out what the port is.
  * Wrong treatment of qop value in Digest Authentication
  * Avoid "used only once" warning for $Config::Config.
  * Make HTTP::Request::Common::PUT set Content-Length header
  * Added the add_content_utf8 method to HTTP::Message.
  * Retry syscalls when they fail with EINTR or EAGAIN
  * Allow HTTP::Content content that can be downgraded to bytes.
  * HTML::Form does not recognise multiple select items with same
  name
  * Document how HTTP::Status codes correspond to the classification
  functions
  * Allow 100, 204, 304 responses to have content
  * HTTP::Request::Common::POST suppressed filename="0" in
  Content-Disposition
* Wed Apr 09 2008 anicka@suse.cz
- update to 5.810
  * Small documentation issues
  * Explain $netloc argument to $ua->credentials
  * Make lwp-request honour option -b while dumping links
  * Ignore params for date convenience methods
  * Get rid of all the old CVS $Keyword:...$ templates.
  Set $VERSION to 5.810.
  * Complement the HTTP::Status codes
  * Don't allow HTTP::Message content to be set to Unicode strings.
  * Refactor test for Encode.pm
  * Trigger HTML::HeadParser for XHTML
  * Escape status line in error_as_HTML, convert to lowercase
  * Protocol/file.pm: postpone load of URI::Escape and HTML::Entities
  * HTML::Form Module and <button> element clicks
  * HTTP::Cookies handle malformed empty Set-Cookie badly
  * [HTTP::Request::Common] Does not handle filenames containing "
  * Allow malformed chars in $mess->decoded_content
  * Croak if LWP::UserAgent is constructed with hash ref as argument
  * Disabled, checked radiobutton being submitted
  * warn if TextInput's maxlength exceeded
* Mon Oct 08 2007 anicka@suse.cz
- update to 5.808
  *  Get rid of t/live/validator test.  Too much JavaScript madness
  for it to be a sane LWP test.
  * bugfixes
* Wed Jul 25 2007 anicka@suse.cz
- update to 5.806
  * Added progress callback to LWP::UserAgent.
  * Add support for HTTP Expect header to HTTP::Daemon
  * Fix t/base/message.t so tests are skipped if Encode is not
  installed.
  * Add HTML::Tagset as a prerequisite to Makefile.PL
  * bugfixes
* Wed Oct 18 2006 anicka@suse.cz
- add perl-Crypt-SSLeay to Recommends (#211537)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 anicka@suse.cz
- update to 5.805
* Thu Feb 17 2005 mjancar@suse.cz
- update top 5.803
* Thu Feb 26 2004 mjancar@suse.cz
  update to 5.76
* Wed Oct 22 2003 mjancar@suse.cz
- update to 5.73
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- fix filelist
* Tue Jun 10 2003 mjancar@suse.cz
- update to 5.69
- don't package MANIFEST
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Fri Jul 12 2002 prehak@suse.cz
- update to version 5.65
- enabled make test
* Tue Jul 02 2002 mls@suse.de
- remove race in .packlist generation
* Wed Jan 16 2002 rvasice@suse.cz
- fixed needeforbuild, disabled make test
* Tue Jan 15 2002 rvasice@suse.cz
- update to version 5.63
* Tue Aug 14 2001 rvasice@suse.cz
- update to version 5.53
* Fri Apr 20 2001 cihlar@suse.cz
- on ia64 removed tests which starts and then connect
  server
* Mon Mar 26 2001 cihlar@suse.cz
- added make test
* Wed Mar 14 2001 cihlar@suse.cz
- update to version 5.50
* Tue Nov 14 2000 cihlar@suse.cz
- renamed perl_lw3 -> perl-libwww-perl
* Thu Aug 24 2000 cihlar@suse.cz
- updated to version 5.48
- bzipped sources
* Mon Aug 21 2000 ro@suse.de
- adapted for perl-5.6
* Wed Jul 12 2000 cihlar@suse.cz
- fixed bug with sort
* Mon Jun 19 2000 ro@suse.de
-  fixed requires and neededforbuild
* Mon Jun 19 2000 cihlar@suse.cz
- package created
